Merge branch 'ical'
[alpine.git] / po / Makefile
blob8aa236f1a4d33d741d3c251ac15878b969cbe2ae
1 # Makefile for PO directory in any package using GNU gettext.
2 # Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
4 # This file can be copied and used freely without restrictions. It can
5 # be used in projects which are not available under the GNU General Public
6 # License but which still want to provide support for the GNU gettext
7 # functionality.
8 # Please note that the actual code of GNU gettext is covered by the GNU
9 # General Public License and is *not* in the public domain.
11 # Origin: gettext-0.16
13 PACKAGE = alpine
14 VERSION = 2.21.9
15 PACKAGE_BUGREPORT = chappa@washington.edu
17 SHELL = /bin/sh
20 srcdir = .
21 top_srcdir = ..
24 prefix = /usr/local
25 exec_prefix = ${prefix}
26 datarootdir = ${prefix}/share
27 datadir = ${datarootdir}
28 localedir = ${datadir}/locale
29 gettextsrcdir = $(datadir)/gettext/po
31 INSTALL = /usr/bin/install -c
32 INSTALL_DATA = ${INSTALL} -m 644
34 # We use $(mkdir_p).
35 # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
36 # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
37 # ${SHELL} /run/media/chappa/Work/alpine/alpinegit/install-sh does not start with $(SHELL), so we add it.
38 # In automake >= 1.10, $(MKDIR_P) is derived from ${MKDIR_P}, which is defined
39 # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
40 # versions, $(mkinstalldirs) and $(install_sh) are unused.
41 mkinstalldirs = $(SHELL) ${SHELL} /run/media/chappa/Work/alpine/alpinegit/install-sh -d
42 install_sh = $(SHELL) ${SHELL} /run/media/chappa/Work/alpine/alpinegit/install-sh
43 MKDIR_P = /usr/bin/mkdir -p
44 mkdir_p = $(MKDIR_P)
46 GMSGFMT_ = /usr/bin/msgfmt
47 GMSGFMT_no = /usr/bin/msgfmt
48 GMSGFMT_yes = /usr/bin/msgfmt
49 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
50 MSGFMT_ = /usr/bin/msgfmt
51 MSGFMT_no = /usr/bin/msgfmt
52 MSGFMT_yes = /usr/bin/msgfmt
53 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
54 XGETTEXT_ = /usr/bin/xgettext
55 XGETTEXT_no = /usr/bin/xgettext
56 XGETTEXT_yes = /usr/bin/xgettext
57 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
58 MSGMERGE = msgmerge
59 MSGMERGE_UPDATE = /usr/bin/msgmerge --update
60 MSGINIT = msginit
61 MSGCONV = msgconv
62 MSGFILTER = msgfilter
64 POFILES =
65 GMOFILES =
66 UPDATEPOFILES =
67 DUMMYPOFILES =
68 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
69 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
70 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
71 $(POFILES) $(GMOFILES) \
72 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
74 POTFILES = \
75 ../alpine/osdep/termout.wnt.c \
76 ../alpine/osdep/termin.wnt.c \
77 ../alpine/osdep/termin.gen.c \
78 ../alpine/osdep/termout.gen.c \
79 ../alpine/osdep/termin.unx.c \
80 ../alpine/osdep/termout.unx.c \
81 ../alpine/osdep/fltrname.c \
82 ../alpine/osdep/diskquot.non.c \
83 ../alpine/osdep/execview.c \
84 ../alpine/osdep/chnge_pw.c \
85 ../alpine/osdep/mswinver.c \
86 ../alpine/osdep/jobcntrl.c \
87 ../alpine/osdep/debuging.c \
88 ../alpine/osdep/print.c \
89 ../alpine/init.c \
90 ../alpine/rpdump.c \
91 ../alpine/arg.c \
92 ../alpine/mailview.c \
93 ../alpine/keymenu.c \
94 ../alpine/dispfilt.c \
95 ../alpine/takeaddr.c \
96 ../alpine/ldapconf.c \
97 ../alpine/send.c \
98 ../alpine/radio.c \
99 ../alpine/mailcmd.c \
100 ../alpine/titlebar.c \
101 ../alpine/adrbkcmd.c \
102 ../alpine/alpine.c \
103 ../alpine/folder.c \
104 ../alpine/busy.c \
105 ../alpine/remote.c \
106 ../alpine/pipe.c \
107 ../alpine/setup.c \
108 ../alpine/after.c \
109 ../alpine/flagmaint.c \
110 ../alpine/confscroll.c \
111 ../alpine/mailindx.c \
112 ../alpine/kblock.c \
113 ../alpine/roleconf.c \
114 ../alpine/listsel.c \
115 ../alpine/status.c \
116 ../alpine/addrbook.c \
117 ../alpine/reply.c \
118 ../alpine/mailpart.c \
119 ../alpine/pattern.c \
120 ../alpine/signal.c \
121 ../alpine/rpload.c \
122 ../alpine/colorconf.c \
123 ../alpine/context.c \
124 ../alpine/pine-use.c \
125 ../alpine/imap.c \
126 ../alpine/newuser.c \
127 ../alpine/help.c \
128 ../alpine/print.c \
129 ../alpine/smime.c \
130 ../pico/osdep/mswin_tw.c \
131 ../pico/osdep/msdlg.c \
132 ../pico/osdep/read.c \
133 ../pico/osdep/chkpoint.c \
134 ../pico/osdep/fsync.c \
135 ../pico/osdep/newmail.c \
136 ../pico/osdep/getkey.c \
137 ../pico/osdep/mswin_spell.c \
138 ../pico/osdep/signals.c \
139 ../pico/osdep/shell.c \
140 ../pico/osdep/terminal.c \
141 ../pico/osdep/color.c \
142 ../pico/osdep/filesys.c \
143 ../pico/osdep/spell.c \
144 ../pico/osdep/tty.c \
145 ../pico/osdep/popen.c \
146 ../pico/osdep/truncate.c \
147 ../pico/osdep/altedit.c \
148 ../pico/osdep/mouse.c \
149 ../pico/osdep/raw.c \
150 ../pico/osdep/mswin_aspell.c \
151 ../pico/osdep/mswin.c \
152 ../pico/attach.c \
153 ../pico/display.c \
154 ../pico/basic.c \
155 ../pico/region.c \
156 ../pico/pico.c \
157 ../pico/blddate.c \
158 ../pico/browse.c \
159 ../pico/search.c \
160 ../pico/fileio.c \
161 ../pico/window.c \
162 ../pico/buffer.c \
163 ../pico/mswinver.c \
164 ../pico/word.c \
165 ../pico/bind.c \
166 ../pico/file.c \
167 ../pico/random.c \
168 ../pico/main.c \
169 ../pico/utf8stub.c \
170 ../pico/pilot.c \
171 ../pico/line.c \
172 ../pico/composer.c \
173 ../pith/charconv/filesys.c \
174 ../pith/charconv/utf8.c \
175 ../pith/osdep/temp_nam.c \
176 ../pith/osdep/fnexpand.c \
177 ../pith/osdep/domnames.c \
178 ../pith/osdep/tempfile.c \
179 ../pith/osdep/fgetpos.c \
180 ../pith/osdep/mimedisp.c \
181 ../pith/osdep/filesize.c \
182 ../pith/osdep/collate.c \
183 ../pith/osdep/err_desc.c \
184 ../pith/osdep/canonicl.c \
185 ../pith/osdep/pw_stuff.c \
186 ../pith/osdep/lstcmpnt.c \
187 ../pith/osdep/debugtime.c \
188 ../pith/osdep/rename.c \
189 ../pith/osdep/hostname.c \
190 ../pith/osdep/bldpath.c \
191 ../pith/osdep/color.c \
192 ../pith/osdep/coredump.c \
193 ../pith/osdep/canaccess.c \
194 ../pith/osdep/writ_dir.c \
195 ../pith/osdep/creatdir.c \
196 ../pith/osdep/pipe.c \
197 ../pith/mailview.c \
198 ../pith/init.c \
199 ../pith/takeaddr.c \
200 ../pith/keyword.c \
201 ../pith/text.c \
202 ../pith/conf.c \
203 ../pith/detach.c \
204 ../pith/mailcap.c \
205 ../pith/sequence.c \
206 ../pith/list.c \
207 ../pith/folder.c \
208 ../pith/icache.c \
209 ../pith/color.c \
210 ../pith/mimedesc.c \
211 ../pith/sort.c \
212 ../pith/bldaddr.c \
213 ../pith/mailindx.c \
214 ../pith/string.c \
215 ../pith/helpindx.c \
216 ../pith/ablookup.c \
217 ../pith/adjtime.c \
218 ../pith/maillist.c \
219 ../pith/escapes.c \
220 ../pith/copyaddr.c \
221 ../pith/thread.c \
222 ../pith/pattern.c \
223 ../pith/state.c \
224 ../pith/rfc2231.c \
225 ../pith/imap.c \
226 ../pith/help_h_gen.c \
227 ../pith/abdlc.c \
228 ../pith/tempfile.c \
229 ../pith/margin.c \
230 ../pith/util.c \
231 ../pith/msgno.c \
232 ../pith/send.c \
233 ../pith/charset.c \
234 ../pith/mailcmd.c \
235 ../pith/hist.c \
236 ../pith/adrbklib.c \
237 ../pith/readfile.c \
238 ../pith/news.c \
239 ../pith/editorial.c \
240 ../pith/help_c_gen.c \
241 ../pith/filter.c \
242 ../pith/mimetype.c \
243 ../pith/remote.c \
244 ../pith/store.c \
245 ../pith/pipe.c \
246 ../pith/addrstring.c \
247 ../pith/flag.c \
248 ../pith/ldap.c \
249 ../pith/status.c \
250 ../pith/addrbook.c \
251 ../pith/detoken.c \
252 ../pith/reply.c \
253 ../pith/stream.c \
254 ../pith/newmail.c \
255 ../pith/save.c \
256 ../pith/url.c \
257 ../pith/search.c \
258 ../pith/context.c \
259 ../pith/help.c \
260 ../pith/handle.c \
261 ../pith/strlst.c \
262 ../pith/smime.c \
263 ../pith/smkeys.c
265 CATALOGS =
267 # Makevars gets inserted here. (Don't remove this line!)
268 # Makefile variables for PO directory in any package using GNU gettext.
270 # Usually the message domain is the same as the package name.
271 DOMAIN = $(PACKAGE)
273 # These two variables depend on the location of this directory.
274 subdir = po
275 top_builddir = ..
277 # These options get passed to xgettext.
278 XGETTEXT_OPTIONS = --keyword=_ --keyword=N_
280 # This is the copyright holder that gets inserted into the header of the
281 # $(DOMAIN).pot file. Set this to the copyright holder of the surrounding
282 # package. (Note that the msgstr strings, extracted from the package's
283 # sources, belong to the copyright holder of the package.) Translators are
284 # expected to transfer the copyright for their translations to this person
285 # or entity, or to disclaim their copyright. The empty string stands for
286 # the public domain; in this case the translators are expected to disclaim
287 # their copyright.
288 COPYRIGHT_HOLDER = Eduardo Chappa
290 # This is the email address or URL to which the translators shall report
291 # bugs in the untranslated strings:
292 # - Strings which are not entire sentences, see the maintainer guidelines
293 # in the GNU gettext documentation, section 'Preparing Strings'.
294 # - Strings which use unclear terms or require additional context to be
295 # understood.
296 # - Strings which make invalid assumptions about notation of date, time or
297 # money.
298 # - Pluralisation problems.
299 # - Incorrect English spelling.
300 # - Incorrect formatting.
301 # It can be your email address, or a mailing list address where translators
302 # can write to without being subscribed, or the URL of a web page through
303 # which the translators can contact you.
304 MSGID_BUGS_ADDRESS = chappa@gmx.com
306 # This is the list of locale categories, beyond LC_MESSAGES, for which the
307 # message catalogs shall be used. It is usually empty.
308 EXTRA_LOCALE_CATEGORIES =
310 .SUFFIXES:
311 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
313 .po.mo:
314 @echo "$(MSGFMT) -c -o $@ $<"; \
315 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
317 .po.gmo:
318 @lang=`echo $* | sed -e 's,.*/,,'`; \
319 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
320 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
321 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
323 .sin.sed:
324 sed -e '/^#/d' $< > t-$@
325 mv t-$@ $@
328 all: all-yes
330 all-yes: stamp-po
331 all-no:
333 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
334 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
335 # we don't want to bother translators with empty POT files). We assume that
336 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
337 # In this case, stamp-po is a nop (i.e. a phony target).
339 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
340 # been loosely updated. Its purpose is that when a developer or translator
341 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
342 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
343 # invocations of "make" will do nothing. This timestamp would not be necessary
344 # if updating the $(CATALOGS) would always touch them; however, the rule for
345 # $(POFILES) has been designed to not touch files that don't need to be
346 # changed.
347 stamp-po: $(srcdir)/$(DOMAIN).pot
348 test ! -f $(srcdir)/$(DOMAIN).pot || \
349 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
350 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
351 echo "touch stamp-po" && \
352 echo timestamp > stamp-poT && \
353 mv stamp-poT stamp-po; \
356 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
357 # otherwise packages like GCC can not be built if only parts of the source
358 # have been downloaded.
360 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
361 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
362 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
363 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
364 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
365 else \
366 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
367 fi; \
368 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
369 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
370 --files-from=$(srcdir)/POTFILES.in \
371 --copyright-holder='$(COPYRIGHT_HOLDER)' \
372 --msgid-bugs-address="$$msgid_bugs_address"
373 test ! -f $(DOMAIN).po || { \
374 if test -f $(srcdir)/$(DOMAIN).pot; then \
375 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
376 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
377 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
378 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
379 else \
380 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
381 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
382 fi; \
383 else \
384 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
385 fi; \
388 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
389 # every "make" invocation, only create it when it is missing.
390 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
391 $(srcdir)/$(DOMAIN).pot:
392 $(MAKE) $(DOMAIN).pot-update
394 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
395 # Note that a PO file is not touched if it doesn't need to be changed.
396 $(POFILES): $(srcdir)/$(DOMAIN).pot
397 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
398 if test -f "$(srcdir)/$${lang}.po"; then \
399 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
400 echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
401 cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
402 else \
403 $(MAKE) $${lang}.po-create; \
407 install: install-exec install-data
408 install-exec:
409 install-data: install-data-yes
410 if test "$(PACKAGE)" = "gettext-tools"; then \
411 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
412 for file in $(DISTFILES.common) Makevars.template; do \
413 $(INSTALL_DATA) $(srcdir)/$$file \
414 $(DESTDIR)$(gettextsrcdir)/$$file; \
415 done; \
416 for file in Makevars; do \
417 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
418 done; \
419 else \
420 : ; \
422 install-data-no: all
423 install-data-yes: all
424 $(mkdir_p) $(DESTDIR)$(datadir)
425 @catalogs='$(CATALOGS)'; \
426 for cat in $$catalogs; do \
427 cat=`basename $$cat`; \
428 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
429 dir=$(localedir)/$$lang/LC_MESSAGES; \
430 $(mkdir_p) $(DESTDIR)$$dir; \
431 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
432 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
433 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
434 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
435 if test -n "$$lc"; then \
436 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
437 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
438 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
439 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
440 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
441 for file in *; do \
442 if test -f $$file; then \
443 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
444 fi; \
445 done); \
446 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
447 else \
448 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
449 :; \
450 else \
451 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
452 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
453 fi; \
454 fi; \
455 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
456 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
457 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
458 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
459 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
460 fi; \
461 done; \
462 done
464 install-strip: install
466 installdirs: installdirs-exec installdirs-data
467 installdirs-exec:
468 installdirs-data: installdirs-data-yes
469 if test "$(PACKAGE)" = "gettext-tools"; then \
470 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
471 else \
472 : ; \
474 installdirs-data-no:
475 installdirs-data-yes:
476 $(mkdir_p) $(DESTDIR)$(datadir)
477 @catalogs='$(CATALOGS)'; \
478 for cat in $$catalogs; do \
479 cat=`basename $$cat`; \
480 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
481 dir=$(localedir)/$$lang/LC_MESSAGES; \
482 $(mkdir_p) $(DESTDIR)$$dir; \
483 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
484 if test -n "$$lc"; then \
485 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
486 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
487 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
488 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
489 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
490 for file in *; do \
491 if test -f $$file; then \
492 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
493 fi; \
494 done); \
495 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
496 else \
497 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
498 :; \
499 else \
500 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
501 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
502 fi; \
503 fi; \
504 fi; \
505 done; \
506 done
508 # Define this as empty until I found a useful application.
509 installcheck:
511 uninstall: uninstall-exec uninstall-data
512 uninstall-exec:
513 uninstall-data: uninstall-data-yes
514 if test "$(PACKAGE)" = "gettext-tools"; then \
515 for file in $(DISTFILES.common) Makevars.template; do \
516 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
517 done; \
518 else \
519 : ; \
521 uninstall-data-no:
522 uninstall-data-yes:
523 catalogs='$(CATALOGS)'; \
524 for cat in $$catalogs; do \
525 cat=`basename $$cat`; \
526 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
527 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
528 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
529 done; \
530 done
532 check: all
534 info dvi ps pdf html tags TAGS ctags CTAGS ID:
536 mostlyclean:
537 rm -f remove-potcdate.sed
538 rm -f stamp-poT
539 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
540 rm -fr *.o
542 clean: mostlyclean
544 distclean: clean
545 rm -f Makefile Makefile.in POTFILES *.mo
547 maintainer-clean: distclean
548 @echo "This command is intended for maintainers to use;"
549 @echo "it deletes files that may require special tools to rebuild."
550 rm -f stamp-po $(GMOFILES)
552 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
553 dist distdir:
554 $(MAKE) update-po
555 @$(MAKE) dist2
556 # This is a separate target because 'update-po' must be executed before.
557 dist2: stamp-po $(DISTFILES)
558 dists="$(DISTFILES)"; \
559 if test "$(PACKAGE)" = "gettext-tools"; then \
560 dists="$$dists Makevars.template"; \
561 fi; \
562 if test -f $(srcdir)/$(DOMAIN).pot; then \
563 dists="$$dists $(DOMAIN).pot stamp-po"; \
564 fi; \
565 if test -f $(srcdir)/ChangeLog; then \
566 dists="$$dists ChangeLog"; \
567 fi; \
568 for i in 0 1 2 3 4 5 6 7 8 9; do \
569 if test -f $(srcdir)/ChangeLog.$$i; then \
570 dists="$$dists ChangeLog.$$i"; \
571 fi; \
572 done; \
573 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
574 for file in $$dists; do \
575 if test -f $$file; then \
576 cp -p $$file $(distdir) || exit 1; \
577 else \
578 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
579 fi; \
580 done
582 update-po: Makefile
583 $(MAKE) $(DOMAIN).pot-update
584 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
585 $(MAKE) update-gmo
587 # General rule for creating PO files.
589 .nop.po-create:
590 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
591 echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
592 exit 1
594 # General rule for updating PO files.
596 .nop.po-update:
597 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
598 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
599 tmpdir=`pwd`; \
600 echo "$$lang:"; \
601 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
602 echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
603 cd $(srcdir); \
604 if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
605 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
606 rm -f $$tmpdir/$$lang.new.po; \
607 else \
608 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
609 :; \
610 else \
611 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
612 exit 1; \
613 fi; \
614 fi; \
615 else \
616 echo "msgmerge for $$lang.po failed!" 1>&2; \
617 rm -f $$tmpdir/$$lang.new.po; \
620 $(DUMMYPOFILES):
622 update-gmo: Makefile $(GMOFILES)
625 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in
626 cd $(top_builddir) \
627 && $(SHELL) ./config.status $(subdir)/$@.in po-directories
629 force:
631 # Tell versions [3.59,3.63) of GNU make not to export all variables.
632 # Otherwise a system limit (for SysV at least) may be exceeded.
633 .NOEXPORT:
634 # Special Makefile rules for English message catalogs with quotation marks.
636 DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot
638 .SUFFIXES: .insert-header .po-update-en
640 en@quot.po-create:
641 $(MAKE) en@quot.po-update
642 en@boldquot.po-create:
643 $(MAKE) en@boldquot.po-update
645 en@quot.po-update: en@quot.po-update-en
646 en@boldquot.po-update: en@boldquot.po-update-en
648 .insert-header.po-update-en:
649 @lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
650 if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXTLIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
651 tmpdir=`pwd`; \
652 echo "$$lang:"; \
653 ll=`echo $$lang | sed -e 's/@.*//'`; \
654 LC_ALL=C; export LC_ALL; \
655 cd $(srcdir); \
656 if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; then \
657 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
658 rm -f $$tmpdir/$$lang.new.po; \
659 else \
660 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
661 :; \
662 else \
663 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
664 exit 1; \
665 fi; \
666 fi; \
667 else \
668 echo "creation of $$lang.po failed!" 1>&2; \
669 rm -f $$tmpdir/$$lang.new.po; \
672 en@quot.insert-header: insert-header.sin
673 sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.sin > en@quot.insert-header
675 en@boldquot.insert-header: insert-header.sin
676 sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-header.sin > en@boldquot.insert-header
678 mostlyclean: mostlyclean-quot
679 mostlyclean-quot:
680 rm -f *.insert-header